This repository has been archived by the owner. It is now read-only.

fceux failed to build on 10.8.2 #16470

Closed
spuffin opened this Issue Dec 7, 2012 · 9 comments

Comments

Projects
None yet
3 participants
@spuffin

spuffin commented Dec 7, 2012

mini:~ seth$
mini:~ seth$ brew update
Already up-to-date.
mini:~ seth$ brew doctor
Your system is raring to brew.
mini:~ seth$ brew install fceux
==> Downloading http://downloads.sourceforge.net/fceultra/fceux-2.1.5.src.tar.bz2
Already downloaded: /Library/Caches/Homebrew/fceux-2.1.5.tar.bz2
==> Patching
patching file src/drivers/sdl/SConscript
==> scons
    env.ParseConfig('pkg-config --cflags --libs gtk+-2.0')
  File "/usr/local/Cellar/scons/2.2.0/libexec/scons-local/SCons/Environment.py", line 1554:
    return function(self, self.backtick(command))
  File "/usr/local/Cellar/scons/2.2.0/libexec/scons-local/SCons/Environment.py", line 596:
    raise OSError("'%s' exited %d" % (command, status))

READ THIS: https://github.com/mxcl/homebrew/wiki/troubleshooting

mini:~ seth$ brew install --env=std fceux
==> Downloading http://downloads.sourceforge.net/fceultra/fceux-2.1.5.src.tar.bz2
Already downloaded: /Library/Caches/Homebrew/fceux-2.1.5.tar.bz2
==> Patching
patching file src/drivers/sdl/SConscript
==> scons
    env.ParseConfig('pkg-config --cflags --libs gtk+-2.0')
  File "/usr/local/Cellar/scons/2.2.0/libexec/scons-local/SCons/Environment.py", line 1554:
    return function(self, self.backtick(command))
  File "/usr/local/Cellar/scons/2.2.0/libexec/scons-local/SCons/Environment.py", line 596:
    raise OSError("'%s' exited %d" % (command, status))

READ THIS: https://github.com/mxcl/homebrew/wiki/troubleshooting

mini:~ seth$ brew install gtk+
Error: gtk+-2.24.11 already installed
mini:~ seth$
@spuffin

This comment has been minimized.

Show comment
Hide comment

spuffin commented Dec 7, 2012

@adamv

This comment has been minimized.

Show comment
Hide comment
@adamv

adamv Dec 14, 2012

Contributor

Copying from the gist:

Package xcb-shm was not found in the pkg-config search path.
Perhaps you should add the directory containing `xcb-shm.pc'
to the PKG_CONFIG_PATH environment variable
Package 'xcb-shm', required by 'cairo', not found
Contributor

adamv commented Dec 14, 2012

Copying from the gist:

Package xcb-shm was not found in the pkg-config search path.
Perhaps you should add the directory containing `xcb-shm.pc'
to the PKG_CONFIG_PATH environment variable
Package 'xcb-shm', required by 'cairo', not found
@spuffin

This comment has been minimized.

Show comment
Hide comment
@spuffin

spuffin Dec 14, 2012

This is taken from the same install:
bash-3.2$ pkg-config --modversion gtk+-2.0
2.24.11
bash-3.2$ pkg-config --modversion xcb-shm
1.8.1

I did have to set my PKG_CONFIG_PATH so that pkg-config can find the gtk+-2.0.pc and xcb-shm.pc but it's still a no-go. Here is some add'l info:

bash-3.2$ pkg-config --cflags --libs gtk+-2.0
-D_REENTRANT -I/usr/local/Cellar/gtk+/2.24.11/include/gtk-2.0 -I/usr/local/Cellar/gtk+/2.24.11/lib/gtk-2.0/include -I/usr/local/Cellar/atk/2.6.0/include/atk-1.0 -I/usr/local/Cellar/cairo/1.12.8/include/cairo -I/usr/local/Cellar/gdk-pixbuf/2.26.2/include/gdk-pixbuf-2.0 -I/usr/local/Cellar/pango/1.30.1/include/pango-1.0 -I/usr/local/Cellar/glib/2.34.3/include/glib-2.0 -I/usr/local/Cellar/glib/2.34.3/lib/glib-2.0/include -I/usr/local/Cellar/gettext/0.18.1.1/include -I/usr/local/Cellar/pixman/0.28.0/include/pixman-1 -I/usr/local/Cellar/fontconfig/2.10.1/include -I/usr/local/Cellar/freetype/2.4.10/include/freetype2 -I/usr/local/Cellar/freetype/2.4.10/include -I/usr/local/Cellar/libpng/1.5.13/include/libpng15 -I/opt/X11/include -L/usr/local/Cellar/gtk+/2.24.11/lib -L/usr/local/Cellar/atk/2.6.0/lib -L/usr/local/Cellar/cairo/1.12.8/lib -L/usr/local/Cellar/gdk-pixbuf/2.26.2/lib -L/usr/local/Cellar/glib/2.34.3/lib -L/usr/local/Cellar/pango/1.30.1/lib -L/usr/local/Cellar/gettext/0.18.1.1/lib -L/usr/local/Cellar/freetype/2.4.10/lib -L/usr/local/Cellar/fontconfig/2.10.1/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0 -lintl

bash-3.2$ pkg-config --cflags --libs xcb-shm
-I/opt/X11/include -L/opt/X11/lib -lxcb-shm -lxcb

spuffin commented Dec 14, 2012

This is taken from the same install:
bash-3.2$ pkg-config --modversion gtk+-2.0
2.24.11
bash-3.2$ pkg-config --modversion xcb-shm
1.8.1

I did have to set my PKG_CONFIG_PATH so that pkg-config can find the gtk+-2.0.pc and xcb-shm.pc but it's still a no-go. Here is some add'l info:

bash-3.2$ pkg-config --cflags --libs gtk+-2.0
-D_REENTRANT -I/usr/local/Cellar/gtk+/2.24.11/include/gtk-2.0 -I/usr/local/Cellar/gtk+/2.24.11/lib/gtk-2.0/include -I/usr/local/Cellar/atk/2.6.0/include/atk-1.0 -I/usr/local/Cellar/cairo/1.12.8/include/cairo -I/usr/local/Cellar/gdk-pixbuf/2.26.2/include/gdk-pixbuf-2.0 -I/usr/local/Cellar/pango/1.30.1/include/pango-1.0 -I/usr/local/Cellar/glib/2.34.3/include/glib-2.0 -I/usr/local/Cellar/glib/2.34.3/lib/glib-2.0/include -I/usr/local/Cellar/gettext/0.18.1.1/include -I/usr/local/Cellar/pixman/0.28.0/include/pixman-1 -I/usr/local/Cellar/fontconfig/2.10.1/include -I/usr/local/Cellar/freetype/2.4.10/include/freetype2 -I/usr/local/Cellar/freetype/2.4.10/include -I/usr/local/Cellar/libpng/1.5.13/include/libpng15 -I/opt/X11/include -L/usr/local/Cellar/gtk+/2.24.11/lib -L/usr/local/Cellar/atk/2.6.0/lib -L/usr/local/Cellar/cairo/1.12.8/lib -L/usr/local/Cellar/gdk-pixbuf/2.26.2/lib -L/usr/local/Cellar/glib/2.34.3/lib -L/usr/local/Cellar/pango/1.30.1/lib -L/usr/local/Cellar/gettext/0.18.1.1/lib -L/usr/local/Cellar/freetype/2.4.10/lib -L/usr/local/Cellar/fontconfig/2.10.1/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0 -lintl

bash-3.2$ pkg-config --cflags --libs xcb-shm
-I/opt/X11/include -L/opt/X11/lib -lxcb-shm -lxcb

@nminshew

This comment has been minimized.

Show comment
Hide comment
@nminshew

nminshew Dec 25, 2012

I am having the exact same issue and am seeing the exact same information from pkg-config as spuffin. Does anyone else have any suggestions? It would be greatly appreciated!

nminshew commented Dec 25, 2012

I am having the exact same issue and am seeing the exact same information from pkg-config as spuffin. Does anyone else have any suggestions? It would be greatly appreciated!

@adamv

This comment has been minimized.

Show comment
Hide comment
@adamv

adamv Feb 2, 2013

Contributor

There is a 2.2.0 version, someone should try upgrading the formula.

Contributor

adamv commented Feb 2, 2013

There is a 2.2.0 version, someone should try upgrading the formula.

@adamv

This comment has been minimized.

Show comment
Hide comment
@adamv

adamv Feb 2, 2013

Contributor

You likely need to rebuild Cario (and its deps) with x support, which will mean installing Xquartz on Mountain Lion.

Contributor

adamv commented Feb 2, 2013

You likely need to rebuild Cario (and its deps) with x support, which will mean installing Xquartz on Mountain Lion.

@adamv adamv closed this Feb 2, 2013

@nminshew

This comment has been minimized.

Show comment
Hide comment
@nminshew

nminshew Feb 3, 2013

I was not able to get FCEUX to install via homebrew, but I was able to install it from source after tweaking the SConstruct file. I posted a blog post on how to do it here. Not sure if there is a homebrew solution or if it needs to be fixed in FCEUX, if someone can think of one, it might be good to post here for other people with the same issue.

nminshew commented Feb 3, 2013

I was not able to get FCEUX to install via homebrew, but I was able to install it from source after tweaking the SConstruct file. I posted a blog post on how to do it here. Not sure if there is a homebrew solution or if it needs to be fixed in FCEUX, if someone can think of one, it might be good to post here for other people with the same issue.

@adamv

This comment has been minimized.

Show comment
Hide comment
@adamv

adamv Feb 3, 2013

Contributor

Thanks, I'll look into it.

Contributor

adamv commented Feb 3, 2013

Thanks, I'll look into it.

@adamv

This comment has been minimized.

Show comment
Hide comment
@adamv

adamv Feb 3, 2013

Contributor

Thanks for the write up; will post a working 2.2.0 version.

Contributor

adamv commented Feb 3, 2013

Thanks for the write up; will post a working 2.2.0 version.

@Homebrew Homebrew locked and limited conversation to collaborators Feb 16, 2016

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.